/// <reference types="node" />
import { AwaitStore } from "@hibas123/utils";
import { Adapter, Message, LoggingTypes } from "@hibas123/logging";
export declare class FileAdapter implements Adapter {
    private filename;
    private maxFileSize;
    level: LoggingTypes;
    file: Files;
    isInit: AwaitStore<boolean>;
    constructor(filename: string, maxFileSize?: number);
    setLevel(level: LoggingTypes): void;
    init(): Promise<void>;
    flush(sync: boolean): void;
    onMessage(message: Message): void;
    close(): Promise<void>;
}
export declare class Files {
    #private;
    private file;
    private static files;
    static getFile(filename: string): Files;
    private open;
    get initlialized(): boolean;
    private constructor();
    init(maxFileSize: number): Promise<void>;
    private initializeFile;
    private checkQueue;
    close(): Promise<void>;
    private write_to_file;
    write(data: Buffer): void;
}
